> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devtune.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Library grounding availability or version link



## OpenAPI

````yaml /openapi.json patch /projects/{projectId}/library/{itemId}
openapi: 3.1.0
info:
  title: DevTune API
  version: 2.0.0
  description: >-
    API for programmatic access to your AI visibility data, webhook
    subscriptions, and automation workflows. Use this API to integrate DevTune
    data into CI/CD pipelines, BI tools, AI agents, and operational systems.
servers:
  - url: https://devtune.ai/api/v2
    description: Production
security:
  - bearerAuth: []
paths:
  /projects/{projectId}/library/{itemId}:
    patch:
      summary: Update Library grounding availability or version link
      operationId: updateLibraryItem
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: itemId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                groundingEnabled:
                  type: boolean
                successorId:
                  type:
                    - string
                    - 'null'
                  format: uuid
      responses:
        '200':
          description: Updated Library item
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/LibraryItemData'
                  meta:
                    $ref: '#/components/schemas/Meta'
                required:
                  - data
                  - meta
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '429':
          $ref: '#/components/responses/RateLimitExceededError'
components:
  schemas:
    LibraryItemData:
      allOf:
        - $ref: '#/components/schemas/LibraryItemDetail'
    Meta:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        projectId:
          type: string
          format: uuid
    LibraryItemDetail:
      type: object
      additionalProperties: false
      properties:
        actionId:
          type:
            - string
            - 'null'
          format: uuid
        contentMarkdown:
          type:
            - string
            - 'null'
        contentText:
          type: string
        createdAt:
          type: string
          format: date-time
        expiresAt:
          type:
            - string
            - 'null'
          format: date-time
        generatorKey:
          type:
            - string
            - 'null'
        groundingEnabled:
          type: boolean
        id:
          type: string
          format: uuid
        kind:
          type: string
          enum:
            - report
            - brief
            - action_draft
            - upload
            - memory
        managedAgentTaskId:
          type:
            - string
            - 'null'
          format: uuid
        provenance:
          type: object
          additionalProperties: true
        status:
          type: string
          enum:
            - current
            - superseded
        subjectKey:
          type:
            - string
            - 'null'
        supersededByItemId:
          type:
            - string
            - 'null'
          format: uuid
        title:
          type: string
        updatedAt:
          type: string
          format: date-time
        versionNumber:
          type: integer
          minimum: 1
        versionCount:
          type: integer
          minimum: 1
        versionHistory:
          type: array
          items:
            $ref: '#/components/schemas/LibraryVersionHistoryItem'
      required:
        - actionId
        - contentMarkdown
        - contentText
        - createdAt
        - expiresAt
        - generatorKey
        - groundingEnabled
        - id
        - kind
        - managedAgentTaskId
        - provenance
        - status
        - subjectKey
        - supersededByItemId
        - title
        - updatedAt
        - versionNumber
        - versionCount
        - versionHistory
    Error:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
        status:
          type: integer
      required:
        - error
        - message
        - status
    LibraryVersionHistoryItem:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        status:
          type: string
          enum:
            - current
            - superseded
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - title
        - status
        - createdAt
  responses:
    BadRequestError:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    UnauthorizedError:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ForbiddenError:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFoundError:
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimitExceededError:
      description: Rate limit exceeded
      headers:
        X-RateLimit-Limit:
          $ref: '#/components/headers/X-RateLimit-Limit'
        X-RateLimit-Remaining:
          $ref: '#/components/headers/X-RateLimit-Remaining'
        X-RateLimit-Reset:
          $ref: '#/components/headers/X-RateLimit-Reset'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  headers:
    X-RateLimit-Limit:
      description: Maximum requests per window
      schema:
        type: integer
    X-RateLimit-Remaining:
      description: Requests remaining in current window
      schema:
        type: integer
    X-RateLimit-Reset:
      description: Unix timestamp when the window resets
      schema:
        type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key with dtk_live_ prefix. Obtain it from API Keys in the account
        sidebar. New keys start with all supported scopes selected for the
        chosen project, and you can narrow them to specific read/write scopes as
        needed.

````